$(document).ready(function () {
  select2Templates();
});

function select2Templates() {
  $(".select2")
    .select2({
      ajax: {
        url: "ajax/select2_templates_whatsapp.php",
        dataType: "json",

        delay: 250,
        data: function (params) {
          return {
            q: params.term, // search term
          };
        },
        processResults: function (data) {
          return {
            results: data,
          };
        },
        cache: true,
      },
      placeholder: "Buscar Plantilla de WhatsApp",
      allowClear: true,
    })
    .on("change", function (e) {
      $(this).valid();
    });
}

// Agregar reglas de validación a los Select2 dinámicos
var rules = {};
var messages = {};

// Generar reglas de validación y mensajes para cada Select2
$(".select2").each(function () {
  var selectId = $(this).attr("id");
  rules[selectId] = {
    required: true,
  };
  messages[selectId] = {
    required: "Este campo es requerido.",
  };
});

$("#save_data").validate({
  ignore: "",
  rules: rules,
  messages: messages,
  errorElement: "span",
  errorPlacement: function (error, element) {
    error.addClass("invalid-feedback");
    element.closest(".form-group").append(error);
  },
  highlight: function (element, errorClass, validClass) {
    $(element).addClass("is-invalid");
  },
  unhighlight: function (element, errorClass, validClass) {
    $(element).removeClass("is-invalid");
  },
});

$("#save_data").submit(function (event) {
  var parametros = $(this).serialize();

  if ($("#save_data").valid()) {
    var formData = [];

    $(".card-hover").each(function () {
      var id = $(this).find(".checkbox-active").data("id");
      var id_template = $(this).find(".select2").val();
      var active = $(this).find(".checkbox-active").prop("checked");

      formData.push({
        id: id,
        id_template: id_template,
        active: active ? 1 : 0,
      });
    });

    $.ajax({
      type: "POST",
      url: "./ajax/tools/default_templates_ajax.php",
      data: { data: formData },
      beforeSend: function (objeto) {
        $("#resultados_ajax").html("Please wait...");
      },
      success: function (datos) {
        $("#resultados_ajax").html(datos);

        $("html, body").animate(
          {
            scrollTop: 0,
          },
          600
        );
      },
    });
    event.preventDefault();
  }
});
